Bug 113502 - CSP 1.1: Remove 'type' parameter from CSPDirectiveList::checkSourceAndReportViolation.
Summary: CSP 1.1: Remove 'type' parameter from CSPDirectiveList::checkSourceAndReportV...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Mike West
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-28 05:39 PDT by Mike West
Modified: 2013-04-01 11:23 PDT (History)
7 users (show)

See Also:


Attachments
Patch (19.96 KB, patch)
2013-03-28 05:43 PDT, Mike West
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from gce-cr-linux-02 for chromium-linux-x86_64 (1.30 MB, application/zip)
2013-03-28 06:32 PDT, WebKit Review Bot
no flags Details
Patch (21.47 KB, patch)
2013-03-28 06:39 PDT, Mike West
no flags Details | Formatted Diff | Diff
Patch for landing (21.44 KB, patch)
2013-04-01 10:55 PDT, Mike West
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mike West 2013-03-28 05:39:48 PDT
CSP 1.1: Remove 'type' parameter from CSPDirectiveList::checkSourceAndReportViolation.
Comment 1 Mike West 2013-03-28 05:43:10 PDT
Created attachment 195539 [details]
Patch
Comment 2 WebKit Review Bot 2013-03-28 06:32:25 PDT
Comment on attachment 195539 [details]
Patch

Attachment 195539 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://webkit-commit-queue.appspot.com/results/17353093

New failing tests:
media/csp-blocks-video.html
Comment 3 WebKit Review Bot 2013-03-28 06:32:28 PDT
Created attachment 195554 [details]
Archive of layout-test-results from gce-cr-linux-02 for chromium-linux-x86_64

The attached test failures were seen while running run-webkit-tests on the chromium-ews.
Bot: gce-cr-linux-02  Port: chromium-linux-x86_64  Platform: Linux-3.3.8-gcg-201212281604-x86_64-with-GCEL-10.04-gcel_10.04
Comment 4 Mike West 2013-03-28 06:39:50 PDT
Created attachment 195557 [details]
Patch
Comment 5 Mike West 2013-03-29 13:04:21 PDT
Would you mind taking a look at this quick refactoring, Adam?
Comment 6 Adam Barth 2013-03-30 10:53:21 PDT
Comment on attachment 195557 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=195557&action=review

> Source/WebCore/page/ContentSecurityPolicy.cpp:1053
> +    String prefix = String();

There's no need for the "= String()" here.  The compiler automatically calls the default constructor.
Comment 7 Mike West 2013-04-01 10:55:58 PDT
Created attachment 195994 [details]
Patch for landing
Comment 8 WebKit Review Bot 2013-04-01 11:23:06 PDT
Comment on attachment 195994 [details]
Patch for landing

Clearing flags on attachment: 195994

Committed r147346: <http://trac.webkit.org/changeset/147346>
Comment 9 WebKit Review Bot 2013-04-01 11:23:09 PDT
All reviewed patches have been landed.  Closing bug.